Package tigase.conf

# Class ConfigReader

java.lang.Object
tigase.conf.ConfigReader

public class ConfigReader extends Object
Created by andrzej on 05.06.2016.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConfigReader.AbstractEnvironmentPropertyVariable`
  `static class`
  `ConfigReader.CompositeVariable`
  `static class`
  `ConfigReader.ConfigException`
  `static class`
  `ConfigReader.EnvironmentVariable`
  `static class`
  `ConfigReader.InvalidFormatException`
  `static class`
  `ConfigReader.PropertyVariable`
  `static enum`
  `ConfigReader.State`
  `class`
  `ConfigReader.StateHolder`
  `static class`
  `ConfigReader.UnsupportedOperationException`
  `static interface`
  `ConfigReader.Variable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `decodeValue(String string_in)`
  `static Map<String,Object>`
  `flatTree(Map<String,Object> props)`
  `Map<String,Object>`
  `read(File f)`
  `Map<String,Object>`
  `read(Reader reader)`
  `protected void`
  `setBeanDefinitionValue(Object val)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigReader

    public ConfigReader()

- ## Method Details

  - ### flatTree

    public static Map<String,Object> flatTree(Map<String,Object> props)

  - ### read

    public Map<String,Object> read(Reader reader) throws IOException, ConfigReader.ConfigException
    Throws:
      `IOException`
      `ConfigReader.ConfigException`

  - ### read

    public Map<String,Object> read(File f) throws IOException, ConfigReader.ConfigException
    Throws:
      `IOException`
      `ConfigReader.ConfigException`

  - ### decodeValue

    protected Object decodeValue(String string_in)

  - ### setBeanDefinitionValue

    protected void setBeanDefinitionValue(Object val)